summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2023-05-11 13:02:46 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2023-05-30 14:14:11 +0000
commit5237004c476955be7fb266c7edf4b526f40eb41c (patch)
tree9c756805bb2e4369589d2654a81c468a244a582f /scripts
parent6e6c06eb48b2221418eecce4a46de1146a2063ef (diff)
Ensure all layers do pass yocto-check-layer and run-yocto-check-layer.sh scripts
Ensure the layers do pass again and that the scripts are up-to-date. Bug-AGL: SPEC-4680 Bug-AGL: SPEC-4681 Bug-AGL: SPEC-4682 Bug-AGL: SPEC-4683 Bug-AGL: SPEC-4684 Change-Id: I5ab1bc49dc361a7fc30a62c5c82d286e66bad72e Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org> Reviewed-on: https://gerrit.automotivelinux.org/gerrit/c/AGL/meta-agl/+/28875 Tested-by: Jenkins Job builder account ci-image-build: Jenkins Job builder account ci-image-boot-test: Jenkins Job builder account
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/ci-yocto-check-layer.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/scripts/ci-yocto-check-layer.sh b/scripts/ci-yocto-check-layer.sh
new file mode 100755
index 000000000..c22114356
--- /dev/null
+++ b/scripts/ci-yocto-check-layer.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+
+pushd .
+
+pushd meta-agl-core
+./scripts/run-yocto-check-layer.sh
+popd
+
+pushd meta-netboot
+./scripts/run-yocto-check-layer.sh
+popd
+
+pushd meta-pipewire
+./scripts/run-yocto-check-layer.sh
+popd
+
+pushd meta-app-framework
+./scripts/run-yocto-check-layer.sh
+popd
+
+popd \ No newline at end of file